"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2022, salesforce.com, inc.
 * All rights reserved.
 * SPDX-License-Identifier: MIT
 * For full license text, see the LICENSE file in the repo root or https://opensource.org/licenses/MIT
 */
var path_1 = require("path");
function getInfoFromPath(file, root) {
    if (!file.startsWith(root)) {
        var jsFile = file;
        if (!file.endsWith('.js')) {
            var split = file.split('.');
            jsFile = split.slice(0, -1).join('.') + '.js';
        }
        var parent_1 = (0, path_1.dirname)(file).split('/').pop();
        var baseFilename = (0, path_1.basename)(file).split('.').slice(0, -1).join('.');
        if (parent_1 !== baseFilename) {
            jsFile = (0, path_1.resolve)((0, path_1.dirname)(file), "".concat(parent_1, ".js"));
        }
        throw new Error("Invalid file  ".concat(file, " is not part of ").concat(root));
    }
    var rel = (0, path_1.relative)(root, file);
    var parts = rel.split(path_1.sep);
    var end = parts.length - 1;
    return {
        ns: parts[end - 2],
        name: parts[end - 1],
    };
}
module.exports = {
    getInfoFromPath: getInfoFromPath,
};
